//
//  ChartData.m
//  LineMarkerSample
//
//  Created by kelley.ricker on 11/12/15.
//  Copyright © 2015 GrapeCity. All rights reserved.
//

#import "ChartData.h"

@implementation ChartData
-(id)initWithName:(NSString *)name sales: (NSNumber *)sales expenses: (NSNumber *)expenses downloads: (NSNumber *)downloads{
    self = [super init];
    if(self){
        _name = name;
        _sales = sales;
        _expenses = expenses;
        _downloads = downloads;
    }
    return self;
}
+(NSNumber *) generateRandom: (NSInteger) max{
    return [NSNumber numberWithUnsignedInteger:(arc4random()% max)];
}

+(NSMutableArray *) demoData{
    ChartData *US = [[ChartData alloc] initWithName:@"US" sales:[ChartData generateRandom : 10001] expenses:[ChartData generateRandom : 5001] downloads:[ChartData generateRandom : 20001]];
    ChartData *Germany = [[ChartData alloc] initWithName:@"Germany" sales:[ChartData generateRandom : 10001] expenses:[ChartData generateRandom : 5001] downloads:[ChartData generateRandom : 20001]];
    ChartData *UK = [[ChartData alloc] initWithName:@"UK" sales:[ChartData generateRandom : 10001] expenses:[ChartData generateRandom : 5001] downloads:[ChartData generateRandom : 20001]];
    ChartData *Japan = [[ChartData alloc] initWithName:@"Japan" sales:[ChartData generateRandom : 10001] expenses:[ChartData generateRandom : 5001] downloads:[ChartData generateRandom : 20001]];
    ChartData *Italy = [[ChartData alloc] initWithName:@"Italy" sales:[ChartData generateRandom : 10001] expenses:[ChartData generateRandom : 5001] downloads:[ChartData generateRandom : 20001]];
    ChartData *Greece = [[ChartData alloc] initWithName:@"Greece" sales:[ChartData generateRandom : 10001] expenses:[ChartData generateRandom : 5001] downloads:[ChartData generateRandom : 20001]];
    return [[NSMutableArray alloc] initWithObjects:US, Germany, UK, Japan, Italy, Greece, nil];
}

+(NSMutableArray *) demoDateData{
    NSMutableArray *array = [[NSMutableArray alloc] init];
    NSDate *now = [NSDate date];
    NSDate *previousDate;
    NSDateComponents *dateComps = [[NSDateComponents alloc] init];
    NSCalendar *calendar = [NSCalendar currentCalendar];
    for (NSInteger i = 0; i <  16; i++) {
        dateComps.day = (i - 16);
        previousDate = [calendar dateByAddingComponents:dateComps toDate:now options:false];
        ChartData *cd = [[ChartData alloc] init];
        cd.sales = [ChartData generateRandom : 10001];
        cd.expenses = [ChartData generateRandom : 5001];
        cd.downloads = [ChartData generateRandom : 20001];
        cd.date = previousDate;
        [array addObject:cd];
    }
    return array;
}

@end

